//
//    
//
// DDE-M.DCL 2.2
//
// Copyright September 1995, Greg MacGeorge
// DDE-M.DCL - Used to get input for the DDE-M.LSP program.


dcl_settings : default_dcl_settings { audit_level = 0; }

em : dialog {
    label = "English to Metric Dimension Conversion";
        :boxed_column {
        label = "Unit Type";
        : row {
            :radio_button {
                key = "mm";
                label = "Millimeter";
                }
            :radio_button {
                key = "cm";
                label = "Centimeter";
                }
            :radio_button {
                key = "meter";
                label = "Meter";
                }
        }
        :row {
            :text { label = "Suffix: ";}
            :text { key = "suffix";}
            :toggle {
                key = "supsuf";
                label = "Suppress";
                }
        }}
        spacer_1;
        : column {
        : row {
            :text {label = "Decimal Places:";}
            :popup_list {
                key = "dec_list";
                fixed_width;
                }
        }}
        spacer_1;
        : boxed_column {
        label = "Selection Type";
           :radio_button {
                key = "glob";
                label = "Global (all)";
                }
            :radio_button {
                key = "man";
                label = "Manual (select)";
                }
        }
        spacer_1;
        : boxed_row {
        label = "Messages";
            : text {
                key = "message";
                fixed_width;
                }
        }
        :row {ok_button; cancel_button;}
}
//
//
//
//
registr : dialog {
    label = "DDE-M.LSP Registration";
        : boxed_column {
        : text {
            label = "             DDE-M SHAREWARE VERSION 2.2";
            }
        }
        spacer_1;
        : boxed_column {
        : text {
            label = "     This program is NOT a registered version!!";
            }

        :boxed_row {
        :column {
        : text {
            label = "DDE-M.LSP will become disabled after";
            }}
        :column {
        : text {
            key = "run_count";
            label = "";
            fixed_width = true;
            width = 1;
            }}
        :column {
        : text {
            label = "more executions";
            }}
        }

        spacer_1;
        : text {
            label = "To register: CompuServe GO SWREG #7045";
            }
        : text {
            label = "     E-Mail: Greg MacGeorge 76725,1023";
            }
        spacer_1;
        : text {
            label = "When registration is complete you get:";
            }
        : text {
            label = "1. The latest program version";
            }
        : text {
            label = "   with all working features.";
            }
        : text {
            label = "2. Full program documentation.";
            }
        : text {
            label = "3. Notification of program updates.";
            }
        spacer_1;
        : text {
            label = "   $19.95 + $1.50 S/H";
            }
        }
        :row {cancel_button;}
}

